Get agent
curl --request GET \
--url https://api.callin.io/api/public/v1/agents/{agentId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.callin.io/api/public/v1/agents/{agentId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.callin.io/api/public/v1/agents/{agentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"agentId": "<string>",
"name": "<string>",
"direction": "outbound",
"tags": [
"<string>"
],
"conversationConfig": {
"agent": {
"prompt": {
"prompt": "<string>",
"llm": "gemini-2.5-flash",
"temperature": 0,
"toolIds": [
"<string>"
],
"builtInTools": {
"endCall": {
"enabled": true,
"description": "<string>",
"disableInterruption": false
},
"languageDetection": {
"enabled": true,
"description": "<string>",
"disableInterruption": false
},
"skipTurn": {
"enabled": true,
"description": "<string>",
"disableInterruption": false
},
"transferToAgent": {
"enabled": true,
"description": "<string>",
"disableInterruption": false,
"transfers": [
{
"agentId": "<string>",
"condition": "<string>",
"delayMs": 123,
"transferMessage": "<string>",
"enableTransferredAgentFirstMessage": true
}
]
},
"transferToNumber": {
"enabled": true,
"description": "<string>",
"disableInterruption": false,
"transferRuleIds": [
"<string>"
],
"transfers": [
{
"condition": "<string>",
"transferDestination": {
"phoneNumber": "<string>",
"sipUri": "<string>"
}
}
]
},
"voicemailDetection": {
"enabled": true,
"description": "<string>",
"disableInterruption": false,
"voicemailMessage": "<string>"
}
},
"knowledgeBase": [
"<string>"
],
"ignoreDefaultPersonality": false,
"timezone": "UTC"
},
"greetingMessage": "<string>",
"primaryLanguage": "en",
"hinglishMode": false,
"dynamicVariables": {},
"disableFirstMessageInterruptions": false
},
"asr": {
"userInputAudioFormat": "pcm_16000",
"keywords": [
"<string>"
]
},
"turn": {
"turnTimeout": 7,
"silenceEndCallTimeout": -1,
"turnEagerness": "normal",
"spellingPatience": "auto"
},
"tts": {
"voiceId": "cjVigY5qzO86Huf0OWal",
"supportedVoices": [
{
"label": "<string>",
"voiceId": "<string>",
"language": "<string>",
"stability": 0.5,
"speed": 0.95,
"similarityBoost": 0.5
}
],
"expressiveMode": false,
"suggestedAudioTags": [
{
"tag": "<string>",
"description": "<string>"
}
],
"agentOutputAudioFormat": "pcm_16000",
"optimizeStreamingLatency": 3,
"stability": 0.5,
"speed": 1,
"similarityBoost": 0.8
},
"conversation": {
"maxDurationSeconds": 300
},
"languagePresets": {}
},
"platformSettings": {
"callActions": {
"smartOptOut": false,
"issueTracking": false,
"postCallWebhook": "<string>",
"postCallEmail": {
"enabled": false,
"emailConfiguration": {}
},
"scheduleOnCalendar": {
"enabled": false,
"eventsIds": [
"<string>"
]
}
},
"widget": {},
"dataCollection": {
"entities": {},
"storeData": false
},
"callRetry": {
"retryCount": 123,
"retryDelay": 123
},
"summaryLanguage": "<string>",
"privacy": {
"recordVoice": false
},
"telephony": {
"numberRotationEnabled": false,
"rotationNumbers": [
"<string>"
],
"callsPerNumber": 123,
"stateRestrictionEnabled": false,
"stateRestrictedNumbers": [
"<string>"
]
}
},
"phoneNumbers": [
{
"provider": "<string>",
"number": "<string>",
"label": "<string>"
}
],
"workflow": {
"edges": {},
"nodes": {},
"preventSubagentLoops": false
},
"metadata": {
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": {
"userId": "<string>",
"userEmail": "<string>"
}
}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"fields": [
{}
]
}
}Agents
Get agent
Returns the full configuration and metadata for a single agent by its ID.
GET
/
public
/
v1
/
agents
/
{agentId}
Get agent
Authorizations
ApiKeyHeaderBearerAuth
Send your Callin API key in the x-api-key header.
Path Parameters
The unique identifier of the agent.
Was this page helpful?
⌘I

